%define module_name Dist-Zilla-Plugin-PkgVersion-Block
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dist/Zilla/Role/FileFinderUser.pm) perl(Dist/Zilla/Role/FileMunger.pm) perl(Dist/Zilla/Role/PPI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moose.pm) perl(MooseX/Types/Perl.pm) perl(PPI.pm) perl(Test/DZil.pm) perl(Test/More.pm) perl(autodie.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0200
Release: alt1
Summary: L<PkgVersion|Dist::Zilla::Plugin::PkgVersion> for block packages.
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Dist-Zilla-Plugin-PkgVersion-Block

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CS/CSSON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin turns:

    package My::Package {
        ...
    }

into:

    package My::Package 0.01 {
        ...
    }

for all packages in the distribution.

The block package syntax was introduced in Perl 5.14, so this plugin is only usable in projects that only support 5.14+.

There are no attributes:

=over 4

Having an existing assignment to $VERSION in the file is a fatal error.

Packages with a version number between the namespace and the block are silently skipped.

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*

%changelog
* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.0200-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.0107-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.0106-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.0104-alt1
- regenerated from template by package builder

* Mon Dec 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.0102-alt1
- initial import by package builder

